OpenCV: cv::cudev::BinaryTransformPtr< Src1Ptr, Src2Ptr, Op > Struct Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cv::cudev::BinaryTransformPtr< Src1Ptr, Src2Ptr, Op > Struct Template Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Device layer

`#include "transform.hpp"`

Inheritance diagram for cv::cudev::BinaryTransformPtr< Src1Ptr, Src2Ptr, Op >:

## Public Types
typedef PtrTraits< Src1Ptr >::index_type | index_type
typedef Op::result_type | value_type

## Public Member Functions
__device__ __forceinline__ Op::result_type | operator() (typename PtrTraits< Src1Ptr >::index_type y, typename PtrTraits< Src1Ptr >::index_type x) const

## Public Attributes
Op | op
Src1Ptr | src1
Src2Ptr | src2

## Member Typedef Documentation

## ◆ index_type

template<class Src1Ptr , class Src2Ptr , class Op >

typedef PtrTraits<Src1Ptr>::index_type cv::cudev::BinaryTransformPtr< Src1Ptr, Src2Ptr, Op >::index_type

## ◆ value_type

template<class Src1Ptr , class Src2Ptr , class Op >

typedef Op::result_type cv::cudev::BinaryTransformPtr< Src1Ptr, Src2Ptr, Op >::value_type

## Member Function Documentation

## ◆ operator()()

template<class Src1Ptr , class Src2Ptr , class Op >

__device__ __forceinline__ Op::result_type cv::cudev::BinaryTransformPtr< Src1Ptr, Src2Ptr, Op >::operator() | ( | typename PtrTraits< Src1Ptr >::index_type | y,
|  | typename PtrTraits< Src1Ptr >::index_type | x
| ) |  | const
| inline

## Member Data Documentation

## ◆ op

template<class Src1Ptr , class Src2Ptr , class Op >

Op cv::cudev::BinaryTransformPtr< Src1Ptr, Src2Ptr, Op >::op

## ◆ src1

template<class Src1Ptr , class Src2Ptr , class Op >

Src1Ptr cv::cudev::BinaryTransformPtr< Src1Ptr, Src2Ptr, Op >::src1

## ◆ src2

template<class Src1Ptr , class Src2Ptr , class Op >

Src2Ptr cv::cudev::BinaryTransformPtr< Src1Ptr, Src2Ptr, Op >::src2

The documentation for this struct was generated from the following file:

- cudev/include/opencv2/cudev/ptr2d/transform.hpp